Missing validation for custom field formats based on RecordList

2018-09-25 13:24 - Alexander Achenbach

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 3.4.7   

Description

No validation is performed on input given to custom field formats

EnumerationFormat

UserFormat

VersionFormat

(all based on RecordList). While displayed choices are properly restricted, manipulation of the form on the client side allows to send

arbitrary record IDs, which will be accepted without further checks.

The attached patch (tested on Redmine 3.4.6) adds a validation function to RecordList.

Associated revisions

Revision 17645 - 2018-11-28 19:15 - Jean-Philippe Lang

Missing validation for custom field formats based on RecordList (#29674).

Patch by Alexander Achenbach.

Revision 17646 - 2018-11-28 19:15 - Jean-Philippe Lang

Tests for #29674.

Patch by Takenori TAKAKI.

Revision 17654 - 2018-11-29 16:44 - Jean-Philippe Lang

Merged r17645 to 3.4-stable (#29674).

Revision 17655 - 2018-11-29 16:44 - Jean-Philippe Lang

Merged r17645 to 3.3-stable (#29674).

Revision 17662 - 2018-11-29 20:08 - Jean-Philippe Lang

Reverts r17655 (#29674).

History

#1 - 2018-09-28 05:08 - Takenori TAKAKI

- File 29674_test_added.patch added

+1

I also think that the validation that 'Alexander Achenbach' pointed out should be done.

Actually, by manipulating the form on the client side, it was possible to send arbitrary record ID.

I added a test code to the patch made by 'Alexander Achenbach' and attach it.

#2 - 2018-10-04 15:41 - Go MAEDA

- Target version set to 3.3.9

Setting the target version to 3.3.9.

#3 - 2018-11-28 19:16 - Jean-Philippe Lang

- Subject changed from missing validation for formats based on RecordList to Missing validation for custom field formats based on RecordList
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

Patch committed, thanks.

#4 - 2018-11-29 16:44 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#5 - 2018-11-29 20:10 - Jean-Philippe Lang

- Target version changed from 3.3.9 to 3.4.7

Reverted from 3.3-stable, ProjectCopyTest#test_copy_issues_should_reassign_version_custom_fields_to_copied_versions was failing.

Files

validate-record-list.patch 680 Bytes 2018-09-25 Alexander Achenbach

29674_test_added.patch 4.54 KB 2018-09-28 Takenori TAKAKI
